Skip to main content
`Ctrl`+`K`

# PetscSectionArrayView

View an array, using the section to structure the values

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionArrayView(PetscSection s, void *array, PetscDataType data_type, PetscViewer viewer)

Collective

## Input Parameters

- s - the organizing `PetscSection`

- array - the array of values

- data_type - the `PetscDataType` of the array

- viewer - the `PetscViewer`

## See Also

`PetscSection`, `PetscViewer`, `PetscSectionCreate()`, `VecSetValuesSection()`, `PetscSectionVecView()`

## Level

developer

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages